%define rpmlint_config %{_datadir}/rpmlint/config.d/

Name:           rpmlint-%{_real_vendor}-policy
Version:        0.2.8
Release:        %mkrel 3
Summary:        Rpmlint policy for %{_real_vendor}
Group:          Development/Other
License:        GPLv2+
URL:            http://www.mageia.org/
Source0:        distribution.conf
Source1:        distribution.error.list
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:       rpmlint
%description
Official rpmlint policy for %{_real_vendor}, install this if you want to 
produces rpm for %{_real_vendor}.

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}/%rpmlint_config
cp -a %{SOURCE0} %{buildroot}/%rpmlint_config/
cp -a %{SOURCE1} %{buildroot}/%rpmlint_config/

%files
%defattr(-,root,root,-)
%rpmlint_config/*




%changelog
* Wed Mar 16 2011 misc <misc> 0.2.8-3.mga1
+ Revision: 72481
- fix wrong regex, https://bugs.mageia.org/show_bug.cgi?id=389
- prevent problem like https://bugs.mageia.org/show_bug.cgi?id=369
  ( ie, avoid the rejection of Development/Debug packages )
- remove warning when there is no buildroot ( bug mga#361 )
- mandrake is no longer a forbidden word ( for us )
- fix default extensions ( ie, xz, not lzma )
- imported package rpmlint-mageia-policy

  + dmorgan <dmorgan>
    - Fix typo, should be addFilter instead of addfilter


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.6-2mdv2011.0
+ Revision: 614717
- the mass rebuild of 2010.1 packages

* Wed Mar 10 2010 Michael Scherer <misc@mandriva.org> 0.2.6-1mdv2010.1
+ Revision: 517561
- filter warning about python requirement, this was changed on rpm-helper
- do not warn on missing BuildRoot

* Tue Feb 09 2010 Michael Scherer <misc@mandriva.org> 0.2.5-1mdv2010.1
+ Revision: 502519
- adapt source-or-patch-not-gzipped to new error name
- add libxml2-devel to the list of false positive
- do not show warning on invalid url ( yet )
- adapt to new rpmlint option for manpages compression

* Thu Sep 10 2009 Michael Scherer <misc@mandriva.org> 0.2.4-1mdv2010.0
+ Revision: 436808
- filter source-or-patch-not-gzipped , asked by fcrozat

* Thu Aug 13 2009 Michael Scherer <misc@mandriva.org> 0.2.3-2mdv2010.0
+ Revision: 415999
- filter various errors, asked by fcrozat and teuf on irc, mainly with regard to library

* Wed Aug 05 2009 Michael Scherer <misc@mandriva.org> 0.2.3-1mdv2010.0
+ Revision: 410242
- fix manpages suffix error
- fix wrong filename

* Fri Jul 31 2009 Michael Scherer <misc@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 404874
- fix the syntax of config file

* Thu Jul 30 2009 Michael Scherer <misc@mandriva.org> 0.2-1mdv2010.0
+ Revision: 404464
- add the valid rpm group

* Tue May 05 2009 Michael Scherer <misc@mandriva.org> 0.1-1mdv2010.0
+ Revision: 372050
- rename the file
- use a second file with the list of rpmlint error
- add a requires on rpmlint
- import rpmlint-mandriva-policy


